<?php
/**
 * @copyright	Copyright (c) 2016 AmyTheme (http://www.amytheme.com). All rights reserved.
 * @license		http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 */

defined( 'ABSPATH' ) or die;

require_once get_template_directory() . '/inc/plugins/tgm/class-tgm-plugin-activation.php';

add_action( 'tgmpa_register', 'amy_movie_register_required_plugins' );

/**
 * Register the required plugins for this theme.
 */
function amy_movie_register_required_plugins() {
	$plugins	= array(
		array(
			'name'		=> 'AmyTheme Framework',
			'slug'		=> 'amy-framework',
			'required'	=> true,
			'version'	=> '1.0.1',
			'source'	=> 'http://plugins.amytheme.com/amy-framework.zip',
		),

		array(
			'name'		=> 'Visual Composer',
			'slug'		=> 'js_composer',
			'required'	=> true,
			'source'	=> 'http://plugins.amytheme.com/js_composer.zip',
		),

		array(
			'name'		=> 'Amy Movie Extends',
			'slug'		=> 'amy-movie-extend',
			'required'	=> true,
			'version'	=> '1.0.0',
			'source'	=> 'http://plugins.amytheme.com/amy-movie-extend.zip',
		),

		array(
			'name'		=> 'Regenerate Thumbnails',
			'slug'		=> 'regenerate-thumbnails',
			'required'	=> false,
		),

		array(
			'name'		=> 'Breadcrumb NavXT',
			'slug'		=> 'breadcrumb-navxt',
			'required'	=> false,
		),

		array(
			'name'		=> 'Contact Form 7',
			'slug'		=> 'contact-form-7',
			'required'	=> false,
		),

		array(
			'name'		=> 'MailChimp for WordPress',
			'slug'		=> 'mailchimp-for-wp',
			'required'	=> false,
		),

		array(
			'name'		=> 'Slider Revolution',
			'slug'		=> 'revslider',
			'required'	=> false,
			'source'	=> 'http://plugins.amytheme.com/revslider.zip',
		),

		array(
			'name'		=> 'Amy User',
			'slug'		=> 'amy-user',
			'required'	=> false,
			'version'	=> '1.0.0',
			'source'	=> 'http://plugins.amytheme.com/amy-user.zip',
		),
	);

	$config = array(
		'id'			=> 'tgmpa',
		'menu'			=> 'tgmpa-install-plugins',
		'has_notices'	=> true,
		'dismissable'	=> true,
		'is_automatic'	=> false,

	);

	tgmpa( $plugins, $config );
}
